| Classes - Annotated - Tree - Functions - Home - Structure

# QXmlErrorHandler Class Reference
[ XML module ]

The QXmlErrorHandler class provides an interface to report errors in XML data. More...

`#include <qxml.h>`

Inherited by QXmlDefaultHandler.

List of all member functions.

## Public Members

- virtual bool warning ( const QXmlParseException & exception )
- virtual bool error ( const QXmlParseException & exception )
- virtual bool fatalError ( const QXmlParseException & exception )
- virtual QString errorString ()

## Detailed Description

The QXmlErrorHandler class provides an interface to report errors in XML data.

If the application is interested in reporting errors to the user or any other customized error handling, you should subclass this class.

You can set the error handler with QXmlReader::setErrorHandler().

See also the Introduction to SAX2.

See also QXmlDTDHandler, QXmlDeclHandler, QXmlContentHandler, QXmlEntityResolver and QXmlLexicalHandler.

## Member Function Documentation

### bool QXmlErrorHandler::error ( const QXmlParseException & exception ) `[virtual]`

A reader might use this function to report a recoverable error. A recoverable error corresponds to the definiton of "error" in section 1.2 of the XML 1.0 specification.

The reader must continue to provide normal parsing events after invoking this function.

If this function returns FALSE the reader will stop parsing and will report an error. The reader will use the function errorString() to get the error message that will be used for reporting the error.

Reimplemented in QXmlDefaultHandler.

### QString QXmlErrorHandler::errorString () `[virtual]`

The reader calls this function to get an error string if any of the handler functions returns FALSE to him.

### bool QXmlErrorHandler::fatalError ( const QXmlParseException & exception ) `[virtual]`

A reader must use this function to report a non-recoverable error.

If this function returns TRUE the reader might try to go on parsing and reporting further errors; but no regular parsing events are reported.

Reimplemented in QXmlDefaultHandler.

### bool QXmlErrorHandler::warning ( const QXmlParseException & exception ) `[virtual]`

A reader might use this function to report a warning. Warnings are conditions that are not errors or fatal errors as defined by the XML 1.0 specification.

If this function returns FALSE the reader will stop parsing and will report an error. The reader will use the function errorString() to get the error message that will be used for reporting the error.

Reimplemented in QXmlDefaultHandler.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.